# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/pod2pdf.pm) perl(CPAN.pm) perl(CPAN/Meta.pm) perl(CPAN/Meta/Check.pm) perl(CPAN/Meta/Feature.pm) perl(Capture/Tiny.pm) perl(Config.pm) perl(Cwd.pm) perl(Data/Dumper.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(FileHandle.pm) perl(IO/All.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Package/Stash.pm) perl(Parse/CPAN/Meta.pm) perl(Pod/Html.pm) perl(Pod/Man.pm) perl(Pod/Markdown.pm) perl(Pod/Text.pm) perl(Socket.pm) perl(Storable.pm) perl(Symbol.pm) perl(Test/More.pm) perl(Text/Template.pm) perl(YAML/Tiny.pm) perl(base.pm) perl(inc/Module/Install.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define module_version 0.04
%define module_name Text-Template-LocalVars
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt1
Summary: Text::Template with localized variables
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/D/DJ/DJERIUS/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
Text::Template::LocalVars is a subclass of the Text::Template manpage, with
additional options to manage how and where template variables are stored.
These come in particularly handy when template fragments themselves
perform template fills, either inline or by calling other functions
which do so.

(the Text::Template manpage stores template variables either in a package
specified by the caller or in the caller's package.  Regardless of
where it comes from, for conciseness let's call that package the
*variable package*.  Likewise, invoking a template fill function or
method, such as fill_in_string, fill_in_file, fill_this_in,
or fill_in is called *filling*, or a *fill*. )

Text::Template::LocalVars provides the following features:

=over

=item * localized variable packages

The variable package may be *cloned* instead of being used directly
(see the Localized Variable Packages entry elsewhere in this document), providing fills with a
sandboxed environment.

=item * tracked parent variable packages

If a fill routine is called without a package name, the package in
which the fill routine is invoked is used as the variable
package. This works well if the fill routine is invoked in a template
fragment, but doesn't if the it is invoked in code compiled in another
package (such as a support subroutine). Text::Template::LocalVars
keeps track of the appropriate package to use, and can pass that
package to the fill routine automatically (see the Tracking Variable Packages entry elsewhere in this document).

=back


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes README.md
%perl_vendor_privlib/T*

%changelog
* Mon Oct 06 2014 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- initial import by package builder

